id: d7_comment
label: Comments
audit: true
migration_tags:
  - Drupal 7
  - Content
source:
  plugin: d7_comment
  constants:
    entity_type: node
process:
  # If you are using this file to build a custom migration consider removing
  # the cid field to allow incremental migrations.
  cid: cid
  pid:
    plugin: migration_lookup
    migration: d7_comment
    source: pid
  entity_id: nid
  entity_type: 'constants/entity_type'
  comment_type:
    -
      plugin: migration_lookup
      source: node_type
      migration: d7_comment_type
    -
      plugin: skip_on_empty
      method: row
  field_name: '@comment_type'
  subject: subject
  uid: uid
  name: name
  mail: mail
  homepage: homepage
  hostname: hostname
  created: created
  changed: changed
  status: status
  thread: thread
  comment_body: comment_body
destination:
  plugin: entity:comment
migration_dependencies:
  required:
    - d7_node
    - d7_comment_type
